Subject: bug#19457: 24.4; exec_sentinel_error_handler and read_process_output_error_handler

From: Dmitry Gutov <[email-masked]>
Date: Mon, 05 Jan 2015 02:43:20 +0300

On 01/01/2015 07:29 PM, Stefan Monnier wrote:

> Back then I tried to come up with some alternative API that would
> provide directly the ability to share more work, but couldn't come
> up with anything that was really better than just using straight caching
> in the backend.

A straightforward caching approach (like `completion-table-with-cache') 
won't be good enough, though: the completion styles that come later tend 
to query with shorter prefixes.

So all in all, it seems like the caching function has to return 
completions for an empty prefix, and then cache that. That might be 
pretty costly at times.